
pref("toolkit.defaultChromeURI", "chrome://scenariCore/content/desks/homeDesk/homeDesk.xul");

//Ne demande pas confirmation pour ouvrir des application externes.
pref("network.protocol-handler.warn-external-default", false);

// SCENARI : Ne pas utiliser un dossier prédéfini pour le téléchargement, masquer la fenetre de télécharement
pref("browser.download.useDownloadDir", false);
pref("browser.download.manager.focusWhenStarting", false);
pref("browser.download.manager.showWhenStarting", false);
pref("browser.download.manager.useWindow", false);
pref("browser.download.folderList", 0);
pref("browser.download.manager.showAlertOnComplete", false);
// SCENARI : Coller dans un editor.singleLine, du multiline en remplaçant les CR par des ' '
//   The 5 possible options for editor.singleLine.pasteNewlines are:
//   0. paste newlines intact
//   1. paste up to the first newline
//   2. replace newlines with spaces
//   3. strip newlines
//   4. replace with commas
pref("editor.singleLine.pasteNewlines",     1);
//surcharge de la langue
pref("general.useragent.locale", "es-ES");
// SCENARI : Pour édition Inline : 
pref("editor.custom_direction", "none");
pref("editor.custom_language", "");
pref("editor.custom_charset", "UTF-8");
pref("editor.use_custom_colors", false);

// expiration des cookies à la fin de la session
pref("network.cookie.lifetimePolicy", 2);

//Délai avant warning script JS trop long.
pref("dom.max_chrome_script_run_time", 30);
pref("dom.max_script_run_time", 30);

//spellcheck et languages
pref("layout.spellcheckDefault", 2);
pref("extensions.spellcheck.inline.max-misspellings", 500);

//Prefs utilises au fonctionnement des fenetres des maj
pref("xpinstall.dialog.confirm", "chrome://mozapps/content/xpinstall/xpinstallConfirm.xul");
pref("xpinstall.dialog.progress.skin", "chrome://mozapps/content/extensions/extensions.xul?type=themes");
pref("xpinstall.dialog.progress.chrome", "chrome://mozapps/content/extensions/extensions.xul?type=extensions");
pref("xpinstall.dialog.progress.type.skin", "Extension:Manager-themes");
pref("xpinstall.dialog.progress.type.chrome", "Extension:Manager-extensions");
pref("extensions.update.enabled", false);
pref("extensions.update.interval", 86400);
pref("extensions.dss.enabled", false);
pref("extensions.dss.switchPending", false);
pref("extensions.ignoreMTimeChanges", false);
pref("extensions.logging.enabled", false);
pref("extensions.shownSelectionUI", true); // suppr fenêtre de sélection de ext. de FF8
pref("general.skins.selectedSkin", "classic/1.0");
pref("extensions.update.url", "chrome://mozapps/locale/extensions/extensions.properties");
pref("extensions.getMoreExtensionsURL", "chrome://mozapps/locale/extensions/extensions.properties");
pref("extensions.getMoreThemesURL", "chrome://mozapps/locale/extensions/extensions.properties");
pref("extensions.checkCompatibility", false);

// Execution externe des protocoles :
pref("network.protocol-handler.expose.mailto", false);
pref("network.protocol-handler.expose.mailbox", false);
//pref("network.protocol-handler.expose.http", false);
//pref("network.protocol-handler.expose.https", false);
//pref("network.protocol-handler.warn-external.http", false);
//pref("network.protocol-handler.warn-external.https", false);


pref("network.http.max-persistent-connections-per-server", 15);
pref("network.http.max-connections-per-server", 15);


// # Update
pref("app.update.enabled", false);// Whether or not app updates are enabled
pref("app.update.service.enabled", false);
pref("app.update.auto", true);
pref("app.update.mode", 1);// See chart in nsUpdateService.js.in for more details
pref("app.update.silent", false);
//pref("app.update.url", "https://yourserver.net/update/3/%PRODUCT%/%VERSION%/%BUILD_ID%/%BUILD_TARGET%/%LOCALE%/%CHANNEL%/%OS_VERSION%/%DISTRIBUTION%/%DISTRIBUTION_VERSION%/update.xml");// You do not need to use all the %VAR% parameters. Use what you need, %PRODUCT%,%VERSION%,%BUILD_ID%,%CHANNEL% for example
//pref("app.update.url.manual", "http://yourserver.net/yourpage");
//pref("app.update.url.details", "http://yourserver.net/yourpage");

pref("app.update.interval", 14400);// Interval: Time between checks for a new version (in seconds)
pref("app.update.nagTimer.download", 14400);// Interval: Time before prompting the user to download a new version that is available (in seconds) default=1 day
pref("app.update.promptWaitTime", 14400);
pref("app.update.nagTimer.restart", 1800);// Interval: Time before prompting the user to restart to install the latest download (in seconds) default=30 minutes
pref("app.update.timer", 7200);// Interval: When all registered timers should be checked (in milliseconds)
pref("app.update.showInstalledUI", true);
pref("app.update.incompatible.mode", 0);

pref("app.update.download.backgroundInterval", 600);
pref("app.update.idletime", 60);

//pref("app.update.log", true);

pref("spellchecker.dictionary", "en-US");


